CLRCODE:	.EQU	$10		#Special code to clear the main display
DISPLAY:	.EQU	$F031		#Address of main display output port
		.ORG	$4000		#Set program's origin to address $4000
		LDA	CLRCODE	#Load accumulator with clear code
		STA	[DISPLAY]	#Store accumulator to main display
		BLDX	$0009		#Load the index register with 0 
		lda	$01		#Initial value in ACC
LOOP:		sta	[display]	#Store accumulator to main display
		inca			#Increase the value in ACC
		decx			#Decrease the counter in X
		jz	[$0000]	#If X is zero then end
		JMP	[LOOP]	#Jump back to LOOP
		.END


