CLRCODE:	.EQU	$10		#Special code to clear the main display
DISPLAY:	.EQU	$F031		#Address of main display output port
ROM:		.EQU	$0000		#The start address of ROM (control back)
		.ORG	$4000		#Set program's origin to address $4000
		LDA	CLRCODE	#Load accumulator with clear code
		STA	[DISPLAY]	#Store accumulator to main display
		BLDX	$0000		#Load the index register with 0 
LOOP:		LDA	[MESSAGE,X]	#Load accumulator with character
		JZ	[ROM]		#If character = $00 (string end) jump to $0000
STORE:	STA	[DISPLAY]	#... else write character to display
		INCX 			#Increment the index register
		JMP	[LOOP]	#Jump back to LOOP
MESSAGE:	.BYTE	$48, 	$45, 	$4C, 	$4C, 	$4F,	$00	#(static char MESSAGE="HELLO";)
			#H	E	L	L	O	END
		.END

