CLRCODE:	.EQU	$10		#The value of constant label CLRCODE is $10
DISPLAY:	.EQU	$F031		#The value of constant label DISPLAY is $F031
KEYPAD: 	.EQU	$F011		#Address of input port for keypad
		.ORG	$4000		#Start address of the program is $4000
		LDA	CLRCODE	#Load clear code to accumulator 
		STA	[DISPLAY]	#Store accumutator content to display
LOOP:		LDA	[KEYPAD]	#Load the accumulator from the keypad
		JN	[LOOP] 	#Jump to LOOP if N flag is set (ACC is negative)
		CMPA	$09 		#Compare accumulator to code $09
		JC	[LOOP] 	#Jump to LOOP if C flag is set (ACC > $09)
		STA	[DISPLAY] 	#... else store accumulator to display
		JMP	[LOOP] 	#Jump to LOOP
		.END 			#This is the end of the program